#!/usr/bin/env bash

# Canvas Functions
docker run -v $(pwd):/usr/src/app -dt hark-test:latest grunt automated-test --tag cf_copyPaste
docker run -v $(pwd):/usr/src/app -dt hark-test:latest grunt automated-test --tag cf_createSheet
docker run -v $(pwd):/usr/src/app -dt hark-test:latest grunt automated-test --tag cf_delete
docker run -v $(pwd):/usr/src/app -dt hark-test:latest grunt automated-test --tag cf_help
docker run -v $(pwd):/usr/src/app -dt hark-test:latest grunt automated-test --tag cf_input
docker run -v $(pwd):/usr/src/app -dt hark-test:latest grunt automated-test --tag cf_note
docker run -v $(pwd):/usr/src/app -dt hark-test:latest grunt automated-test --tag cf_output
docker run -v $(pwd):/usr/src/app -dt hark-test:latest grunt automated-test --tag cf_process
docker run -v $(pwd):/usr/src/app -dt hark-test:latest grunt automated-test --tag cf_property
docker run -v $(pwd):/usr/src/app -dt hark-test:latest grunt automated-test --tag cf_theme

# Canvas Layout
docker run -v $(pwd):/usr/src/app -dt hark-test:latest grunt automated-test --group canvassLayout

# File Management
docker run -v $(pwd):/usr/src/app -dt hark-test:latest grunt automated-test --group fileManagement

# Node List
docker run -v $(pwd):/usr/src/app -dt hark-test:latest grunt automated-test --group nodeList

# Preferences Dialog
docker run -v $(pwd):/usr/src/app -dt hark-test:latest grunt automated-test --group preferencesDialog
