(function(){
    var ajax = function(url){
        $("#message").text("");
        $.ajax({
            url: url,
            method: "POST",
            data: {
                user: $("#username").val(),
                pass: $("#password").val()
            }
        }).done(function(data){
            console.log(data);
            $("#message").css("color", "black");            
            $("#message").text(data);
            window.location = "/";
        })
        .fail(function(data){
            $("#message").css("color", "red");            
            $("#message").text(data.responseText);
        });
    };

    $("#login").button().click(function(){
        console.log("#username", $("#username").val());
        console.log("#password", $("#password").val());
        ajax("/login/login");
    });
    $("#signup").button().click(function(){
        console.log("#username", $("#username").val());
        console.log("#password", $("#password").val());
        ajax("/login/signup");
    });

    $(document).on("input", 'keyup', function(){
        if ($(this).val() === ""){
            console.log("===");
            $(this).siblings("span").text("username is empty");
        }
    });
})();